Debian Bug report logs - #648361
please add GNU/kFreeBSD support

version graph

Package: pptp-linux; Maintainer for pptp-linux is Ola Lundqvist <opal@debian.org>; Source for pptp-linux is src:pptp-linux.

Reported by: Robert Millan <rmh@debian.org>

Date: Thu, 10 Nov 2011 19:21:13 UTC

Severity: wishlist

Tags: help, moreinfo, patch

Found in version pptp-linux/1.7.2-6

Done: Ola Lundqvist <opal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Thu, 10 Nov 2011 19:21:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Ola Lundqvist <opal@debian.org>. (Thu, 10 Nov 2011 19:21:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: uninstallable on kfreebsd-amd64
Date: Thu, 10 Nov 2011 20:20:39 +0100
[Message part 1 (text/plain, inline)]
Package: pptp-linux
Version: 1.7.2-6
Severity: grave
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

This package is uninstallable on kfreebsd-amd64 because of its dependency on
ppp.  On Debian GNU/kFreeBSD, equivalent (but not CLI-compatible) functionality
is provided by freebsd-ppp package.  It appears that pptp-linux includes
support for this alternate interface.

Attached patch should fix the dependency problem and enable interaction with
freebsd-ppp in upstream source.  It is loosely based on this patch [1] from
the FreeBSD ports collection.

[1] http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/pptpclient/files/patch-aa?rev=1.6

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[pptp_kfreebsd.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Sun, 13 Nov 2011 15:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Sun, 13 Nov 2011 15:51:08 GMT) Full text and rfc822 format available.

Message #10 received at 648361@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Robert Millan <rmh@debian.org>, 648361@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Sun, 13 Nov 2011 16:50:06 +0100
tags 648361 + moreinfo help
thanks

Hi Robert

Have you tested to install this package and actually seen that it
works in practice? The reason I ask is that as far as I know this
tool depends on the mppe support in the Linux kernel. I may be
wrong however.

I do not want to apply this until I have it confirmed that it actually
works to have a fully working mppe tunnel.

Best regards,

// Ola

On Thu, Nov 10, 2011 at 08:20:39PM +0100, Robert Millan wrote:
> Package: pptp-linux
> Version: 1.7.2-6
> Severity: grave
> Tags: patch
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> 
> Hi,
> 
> This package is uninstallable on kfreebsd-amd64 because of its dependency on
> ppp.  On Debian GNU/kFreeBSD, equivalent (but not CLI-compatible) functionality
> is provided by freebsd-ppp package.  It appears that pptp-linux includes
> support for this alternate interface.
> 
> Attached patch should fix the dependency problem and enable interaction with
> freebsd-ppp in upstream source.  It is loosely based on this patch [1] from
> the FreeBSD ports collection.
> 
> [1] http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/pptpclient/files/patch-aa?rev=1.6
> 
> -- System Information:
> Debian Release: 6.0.3
>   APT prefers stable-updates
>   APT policy: (500, 'stable-updates'), (500, 'stable')
> Architecture: kfreebsd-amd64 (x86_64)
> 
> Kernel: kFreeBSD 8.1-1-amd64
> Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash

> === modified file 'debian/control'
> --- debian/control	2011-11-10 19:12:51 +0000
> +++ debian/control	2011-11-10 19:15:39 +0000
> @@ -6,8 +6,8 @@ Standards-Version: 3.9.0
>  Build-Depends: debhelper (>= 7.0)
>  
>  Package: pptp-linux
> -Architecture: any
> -Depends: ${shlibs:Depends}, ${misc:Depends}, ppp (>= 2.4.2), binutils
> +Architecture: linux-any kfreebsd-any
> +Depends: ${shlibs:Depends}, ${misc:Depends}, ppp (>= 2.4.2) [!kfreebsd-any] | freebsd-ppp [kfreebsd-any], binutils
>  Description: Point-to-Point Tunneling Protocol (PPTP) Client
>   Client for the proprietary Microsoft Point-to-Point Tunneling
>   Protocol, PPTP.  Allows connection to a PPTP based VPN as used
> 
> === added file 'debian/patches/kfreebsd-gnu.diff'
> --- debian/patches/kfreebsd-gnu.diff	1970-01-01 00:00:00 +0000
> +++ debian/patches/kfreebsd-gnu.diff	2011-11-10 19:14:57 +0000
> @@ -0,0 +1,29 @@
> +--- a/Makefile
> ++++ b/Makefile
> +@@ -2,9 +2,15 @@
> + VERSION=1.7.2
> + RELEASE=
> + 
> ++UNAME	= $(shell uname -s)
> ++
> + #################################################################
> + # CHANGE THIS LINE to point to the location of your pppd binary.
> ++ifeq ($(UNAME), GNU/kFreeBSD)
> ++PPPD = /usr/sbin/ppp
> ++else
> + PPPD = /usr/sbin/pppd
> ++endif
> + #################################################################
> + 
> + BINDIR=$(DESTDIR)/usr/sbin
> +@@ -17,6 +23,10 @@
> + DEBUG	= -g
> + INCLUDE =
> + CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
> ++ifeq ($(UNAME), GNU/kFreeBSD)
> ++CFLAGS	+= -DUSER_PPP
> ++endif
> ++
> + LIBS	= -lutil
> + # Solaris 10
> + # LIBS	= -lnsl -lsocket -lresolv
> 
> === added file 'debian/patches/series'
> --- debian/patches/series	1970-01-01 00:00:00 +0000
> +++ debian/patches/series	2011-11-10 19:13:38 +0000
> @@ -0,0 +1 @@
> +kfreebsd-gnu.diff
> 


-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@inguza.com                      654 65 KARLSTAD          |
|  http://inguza.com/                  +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Added tag(s) help and moreinfo. Request was from Ola Lundqvist <opal@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 15:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Mon, 14 Nov 2011 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Mon, 14 Nov 2011 18:18:03 GMT) Full text and rfc822 format available.

Message #17 received at 648361@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: opal@debian.org
Cc: 648361@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Mon, 14 Nov 2011 19:14:35 +0100
[ CCing debian-bsd;  if someone can test the patched version of PPTP
on GNU/kFreeBSD, please do and report. Thanks! ]

Hi Ola,

2011/11/13 Ola Lundqvist <opal@debian.org>:
> Have you tested to install this package and actually seen that it
> works in practice? The reason I ask is that as far as I know this
> tool depends on the mppe support in the Linux kernel. I may be
> wrong however.
>
> I do not want to apply this until I have it confirmed that it actually
> works to have a fully working mppe tunnel.

I'm afraid I can't test it myself.  However, IMHO presence in the
FreeBSD ports collection is a good indicator that the (patched)
version of pptp actually works with the kernel of FreeBSD.

Notice how my patch enables "-DUSER_PPP" in CFLAGS.  This has a
significant impact on the codepaths, most likely disabling the
kernel-specific code you had in mind.

Given the situation, I would find it reasonable if my explanation is
not sufficient and you need further reassurance that pptp works on
GNU/kFreeBSD before providing it.  If that's the case, note that its
current state doesn't fit with this intent either (since it's
currently not just uninstallable but also unusable in case this was
overriden).

An alternate solution would be to disable pptp on GNU/kFreeBSD by
marking it Linux-specific (Architecture: linux-any) until someone can
properly test it.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Tue, 15 Nov 2011 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Tue, 15 Nov 2011 07:12:03 GMT) Full text and rfc822 format available.

Message #22 received at 648361@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Robert Millan <rmh@debian.org>
Cc: 648361@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Tue, 15 Nov 2011 08:10:06 +0100
Hi Robert,

On Mon, Nov 14, 2011 at 07:14:35PM +0100, Robert Millan wrote:
> [ CCing debian-bsd;  if someone can test the patched version of PPTP
> on GNU/kFreeBSD, please do and report. Thanks! ]

Yes that would be very welcome!

> Hi Ola,
> 
> 2011/11/13 Ola Lundqvist <opal@debian.org>:
> > Have you tested to install this package and actually seen that it
> > works in practice? The reason I ask is that as far as I know this
> > tool depends on the mppe support in the Linux kernel. I may be
> > wrong however.
> >
> > I do not want to apply this until I have it confirmed that it actually
> > works to have a fully working mppe tunnel.
> 
> I'm afraid I can't test it myself.  However, IMHO presence in the
> FreeBSD ports collection is a good indicator that the (patched)
> version of pptp actually works with the kernel of FreeBSD.

That is an interesting point.

I found an interesting one as well here on the pptpclient home page:
http://pptpclient.sourceforge.net/

"PPTP Client is a Linux, FreeBSD, NetBSD and OpenBSD client..."

There is also information available here
http://www.freebsddiary.org/pptp.php
There the installation seems to be simple:
cd /usr/ports/net/pptpclient
make install

> Notice how my patch enables "-DUSER_PPP" in CFLAGS.  This has a
> significant impact on the codepaths, most likely disabling the
> kernel-specific code you had in mind.

When looking deeper into this it looks like your change is only
applicable to GNU/kFreeBSD, right?

> Given the situation, I would find it reasonable if my explanation is
> not sufficient and you need further reassurance that pptp works on
> GNU/kFreeBSD before providing it.  If that's the case, note that its
> current state doesn't fit with this intent either (since it's
> currently not just uninstallable but also unusable in case this was
> overriden).

I thought the package was linux only, but obviously I was wrong.

> An alternate solution would be to disable pptp on GNU/kFreeBSD by
> marking it Linux-specific (Architecture: linux-any) until someone can
> properly test it.

Oh. My mistake I thought this one was linux only. My bad. In this
case I think I should apply this as a first step.

However I have one note on the patch. I see that you use
some patches/series function. I have not used that before. I have simply
applied the patches in the old fashioned way. Is it ok if I continue
that way? I find the new patch mechanism a bit too slow and not very
fail safe.

Best regards,

// Ola
 
> -- 
> Robert Millan
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Tue, 15 Nov 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Tue, 15 Nov 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 648361@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: ola@inguza.com
Cc: 648361@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Tue, 15 Nov 2011 19:05:54 +0100
2011/11/15 Ola Lundqvist <ola@inguza.com>:
>> Notice how my patch enables "-DUSER_PPP" in CFLAGS.  This has a
>> significant impact on the codepaths, most likely disabling the
>> kernel-specific code you had in mind.
>
> When looking deeper into this it looks like your change is only
> applicable to GNU/kFreeBSD, right?

Yes.  Probably better to use:

ifneq (, $(filter FreeBSD GNU/kFreeBSD, $(UNAME)))

or similar.

> However I have one note on the patch. I see that you use
> some patches/series function. I have not used that before. I have simply
> applied the patches in the old fashioned way. Is it ok if I continue
> that way? I find the new patch mechanism a bit too slow and not very
> fail safe.

Of course, it's your package :-)

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Tue, 15 Nov 2011 18:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Tue, 15 Nov 2011 18:15:07 GMT) Full text and rfc822 format available.

Message #32 received at 648361@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Robert Millan <rmh@debian.org>
Cc: ola@inguza.com, 648361@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Tue, 15 Nov 2011 20:12:29 +0200
Robert Millan <rmh@debian.org> writes:
> Yes.  Probably better to use:
>
> ifneq (, $(filter FreeBSD GNU/kFreeBSD, $(UNAME)))
>

Is this the recommended way? If yes I'll add it to the FAQ next to

http://wiki.debian.org/Debian_GNU/kFreeBSD_FAQ#Q._How_do_I_detect_kfreebsd_with_preprocessor_directives_in_a_C_program.3F

-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Sat, 17 Mar 2012 10:33:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Sat, 17 Mar 2012 10:33:43 GMT) Full text and rfc822 format available.

Message #37 received at 648361@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 648361@bugs.debian.org
Cc: Ola Lundqvist <opal@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Sat, 17 Mar 2012 11:30:14 +0100
tags 648361 - moreinfo
thanks

Hi,

We should find a solution to this before the release, as the package
is available in the archive but unusable the problem is
release-critical.

I'm afraid I can't test PPTP, I can only confirm my patch builds
succesfuly.  If you're comfortable applying my patch nevertheless,
then please do so. Otherwise you could also set Architecture to
"linux-any" until we're ready to provide GNU/kFreeBSD support.

debian-bsd: if someone can test PPTP on GNU/kFreeBSD using my patch, please do!

Thanks!

-- 
Robert Millan




Removed tag(s) moreinfo. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 17 Mar 2012 10:34:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Mon, 19 Mar 2012 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Mon, 19 Mar 2012 20:33:04 GMT) Full text and rfc822 format available.

Message #44 received at 648361@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Robert Millan <rmh@debian.org>, 648361@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Mon, 19 Mar 2012 21:30:57 +0100
Hi

After some research I have found out the following thing from a forum
http://lists.freebsd.org/pipermail/freebsd-questions/2005-June/090529.html

"http://www.mreriksson.net/howtos/netbsd-pptp-client/
which discusses how to set up pptpclient on NetBSD and
there he mentioned about installing the PPPD-MPPE
package which I did't do in my FreeBSD box since I
failed to find the said pacakge in /usr/ports. I have
a slight idea that I really need to have this
installed because when I look at the properties ..."

Based on this it looks like we have a dependency on a pppd-mppe
package that I guess is not available in Debian kFreeBSD port.
Or am I wrong here?

Due to this I have decided to solve this bug by changing from
any to linux-any instead until someone can confirm that this
actually works.

Best regards,

// Ola

On Sat, Mar 17, 2012 at 11:30:14AM +0100, Robert Millan wrote:
> tags 648361 - moreinfo
> thanks
> 
> Hi,
> 
> We should find a solution to this before the release, as the package
> is available in the archive but unusable the problem is
> release-critical.
> 
> I'm afraid I can't test PPTP, I can only confirm my patch builds
> succesfuly.  If you're comfortable applying my patch nevertheless,
> then please do so. Otherwise you could also set Architecture to
> "linux-any" until we're ready to provide GNU/kFreeBSD support.
> 
> debian-bsd: if someone can test PPTP on GNU/kFreeBSD using my patch, please do!
> 
> Thanks!
> 
> -- 
> Robert Millan
> 
> 
> 

-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@inguza.com                      654 65 KARLSTAD          |
|  http://inguza.com/                  +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Reply sent to Ola Lundqvist <opal@debian.org>:
You have taken responsibility. (Mon, 19 Mar 2012 21:00:07 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Mon, 19 Mar 2012 21:00:08 GMT) Full text and rfc822 format available.

Message #49 received at 648361-close@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: 648361-close@bugs.debian.org
Subject: Bug#648361: fixed in pptp-linux 1.7.2-7
Date: Mon, 19 Mar 2012 20:58:03 +0000
Source: pptp-linux
Source-Version: 1.7.2-7

We believe that the bug you reported is fixed in the latest version of
pptp-linux, which is due to be installed in the Debian FTP archive:

pptp-linux_1.7.2-7.diff.gz
  to main/p/pptp-linux/pptp-linux_1.7.2-7.diff.gz
pptp-linux_1.7.2-7.dsc
  to main/p/pptp-linux/pptp-linux_1.7.2-7.dsc
pptp-linux_1.7.2-7_i386.deb
  to main/p/pptp-linux/pptp-linux_1.7.2-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ola Lundqvist <opal@debian.org> (supplier of updated pptp-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Mar 2012 21:29:19 +0100
Source: pptp-linux
Binary: pptp-linux
Architecture: source i386
Version: 1.7.2-7
Distribution: unstable
Urgency: low
Maintainer: Ola Lundqvist <opal@debian.org>
Changed-By: Ola Lundqvist <opal@debian.org>
Description: 
 pptp-linux - Point-to-Point Tunneling Protocol (PPTP) Client
Closes: 648361
Changes: 
 pptp-linux (1.7.2-7) unstable; urgency=low
 .
   * Making this package linux specific as it is not known whether it
     works on BSD port and currently it is uninstallable on kFreeBSD
     port. Closes: #648361.
Checksums-Sha1: 
 0624caf8938831c67f7e8d86ccaccdcf04bac164 969 pptp-linux_1.7.2-7.dsc
 b38edc421a6e1eec26b5dc85b6de2a6722897ee9 7999 pptp-linux_1.7.2-7.diff.gz
 cfc759bb0e3855f1f4cf0941ca2a3ed7ee255449 48258 pptp-linux_1.7.2-7_i386.deb
Checksums-Sha256: 
 1628a9fb0e91602da0e56b38e0c762cc20c2f479cc1e3b7a4da2a7a72721fdaa 969 pptp-linux_1.7.2-7.dsc
 5919adc0e4fe05e4429a0316ba34bbd99017d54be86160203eec661fe1655ce7 7999 pptp-linux_1.7.2-7.diff.gz
 95a23fe0dd030dd90ebc30d2a5b97ce04e8f33ed5008a092a4fcf478754b05ae 48258 pptp-linux_1.7.2-7_i386.deb
Files: 
 aa0ff4e5ea61783b98bea358cf1ea6c4 969 net optional pptp-linux_1.7.2-7.dsc
 57a8de0909e20c0ae908d6337dfe42d5 7999 net optional pptp-linux_1.7.2-7.diff.gz
 0cbb19761095aa328367735237a02a78 48258 net optional pptp-linux_1.7.2-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9nl1sACgkQGKGxzw/lPdlongCfZauX/9Pp4zPejT5yhi6+DMjt
LfIAnRbmrsHFSt24LRvmf8btN+kQUMtv
=yRoe
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Tue, 20 Mar 2012 19:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Tue, 20 Mar 2012 19:51:14 GMT) Full text and rfc822 format available.

Message #54 received at 648361@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 648361@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#648361 closed by Ola Lundqvist <opal@debian.org> (Bug#648361: fixed in pptp-linux 1.7.2-7)
Date: Tue, 20 Mar 2012 20:48:25 +0100
severity 648361 wishlist
retitle 648361 please add GNU/kFreeBSD support
tags 648361 moreinfo
notfixed 648361 1.7.2-7
thanks

Well, this shouldn't really close it.  Would be nice to have it
someday, but it's no longer a release-critical issue.

Anyway, thanks for (at least partially) dealing with it.

P.S. if someone reading this is able to test PPTP on GNU/kFreeBSD, please do

El 19 de març de 2012 22:00, Debian Bug Tracking System
<owner@bugs.debian.org> ha escrit:
> This is an automatic notification regarding your Bug report
> which was filed against the pptp-linux package:
>
> #648361: uninstallable on kfreebsd-amd64
>
> It has been closed by Ola Lundqvist <opal@debian.org>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Ola Lundqvist <opal@debian.org> by
> replying to this email.
>
>
> --
> 648361: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648361
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Missatge reenviat ----------
> From: Ola Lundqvist <opal@debian.org>
> To: 648361-close@bugs.debian.org
> Cc:
> Date: Mon, 19 Mar 2012 20:58:03 +0000
> Subject: Bug#648361: fixed in pptp-linux 1.7.2-7
> Source: pptp-linux
> Source-Version: 1.7.2-7
>
> We believe that the bug you reported is fixed in the latest version of
> pptp-linux, which is due to be installed in the Debian FTP archive:
>
> pptp-linux_1.7.2-7.diff.gz
>  to main/p/pptp-linux/pptp-linux_1.7.2-7.diff.gz
> pptp-linux_1.7.2-7.dsc
>  to main/p/pptp-linux/pptp-linux_1.7.2-7.dsc
> pptp-linux_1.7.2-7_i386.deb
>  to main/p/pptp-linux/pptp-linux_1.7.2-7_i386.deb
>
>
>
> A summary of the changes between this version and the previous one is
> attached.
>
> Thank you for reporting the bug, which will now be closed.  If you
> have further comments please address them to 648361@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.
>
> Debian distribution maintenance software
> pp.
> Ola Lundqvist <opal@debian.org> (supplier of updated pptp-linux package)
>
> (This message was generated automatically at their request; if you
> believe that there is a problem with it please contact the archive
> administrators by mailing ftpmaster@debian.org)
>
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Format: 1.8
> Date: Mon, 19 Mar 2012 21:29:19 +0100
> Source: pptp-linux
> Binary: pptp-linux
> Architecture: source i386
> Version: 1.7.2-7
> Distribution: unstable
> Urgency: low
> Maintainer: Ola Lundqvist <opal@debian.org>
> Changed-By: Ola Lundqvist <opal@debian.org>
> Description:
>  pptp-linux - Point-to-Point Tunneling Protocol (PPTP) Client
> Closes: 648361
> Changes:
>  pptp-linux (1.7.2-7) unstable; urgency=low
>  .
>   * Making this package linux specific as it is not known whether it
>     works on BSD port and currently it is uninstallable on kFreeBSD
>     port. Closes: #648361.
> Checksums-Sha1:
>  0624caf8938831c67f7e8d86ccaccdcf04bac164 969 pptp-linux_1.7.2-7.dsc
>  b38edc421a6e1eec26b5dc85b6de2a6722897ee9 7999 pptp-linux_1.7.2-7.diff.gz
>  cfc759bb0e3855f1f4cf0941ca2a3ed7ee255449 48258 pptp-linux_1.7.2-7_i386.deb
> Checksums-Sha256:
>  1628a9fb0e91602da0e56b38e0c762cc20c2f479cc1e3b7a4da2a7a72721fdaa 969 pptp-linux_1.7.2-7.dsc
>  5919adc0e4fe05e4429a0316ba34bbd99017d54be86160203eec661fe1655ce7 7999 pptp-linux_1.7.2-7.diff.gz
>  95a23fe0dd030dd90ebc30d2a5b97ce04e8f33ed5008a092a4fcf478754b05ae 48258 pptp-linux_1.7.2-7_i386.deb
> Files:
>  aa0ff4e5ea61783b98bea358cf1ea6c4 969 net optional pptp-linux_1.7.2-7.dsc
>  57a8de0909e20c0ae908d6337dfe42d5 7999 net optional pptp-linux_1.7.2-7.diff.gz
>  0cbb19761095aa328367735237a02a78 48258 net optional pptp-linux_1.7.2-7_i386.deb
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iEYEARECAAYFAk9nl1sACgkQGKGxzw/lPdlongCfZauX/9Pp4zPejT5yhi6+DMjt
> LfIAnRbmrsHFSt24LRvmf8btN+kQUMtv
> =yRoe
> -----END PGP SIGNATURE-----
>
>
>
>
> ---------- Missatge reenviat ----------
> From: Robert Millan <rmh@debian.org>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Cc:
> Date: Thu, 10 Nov 2011 20:20:39 +0100
> Subject: uninstallable on kfreebsd-amd64
> Package: pptp-linux
> Version: 1.7.2-6
> Severity: grave
> Tags: patch
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
>
> Hi,
>
> This package is uninstallable on kfreebsd-amd64 because of its dependency on
> ppp.  On Debian GNU/kFreeBSD, equivalent (but not CLI-compatible) functionality
> is provided by freebsd-ppp package.  It appears that pptp-linux includes
> support for this alternate interface.
>
> Attached patch should fix the dependency problem and enable interaction with
> freebsd-ppp in upstream source.  It is loosely based on this patch [1] from
> the FreeBSD ports collection.
>
> [1] http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/pptpclient/files/patch-aa?rev=1.6
>
> -- System Information:
> Debian Release: 6.0.3
>  APT prefers stable-updates
>  APT policy: (500, 'stable-updates'), (500, 'stable')
> Architecture: kfreebsd-amd64 (x86_64)
>
> Kernel: kFreeBSD 8.1-1-amd64
> Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>



-- 
Robert Millan




Severity set to 'wishlist' from 'grave' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 20 Mar 2012 19:51:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'please add GNU/kFreeBSD support' from 'uninstallable on kfreebsd-amd64' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 20 Mar 2012 19:51:21 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 20 Mar 2012 19:51:21 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions pptp-linux/1.7.2-7. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 20 Mar 2012 19:51:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Tue, 20 Mar 2012 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Tue, 20 Mar 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #67 received at 648361@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: opal@debian.org
Cc: 648361@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Tue, 20 Mar 2012 20:51:47 +0100
El 19 de març de 2012 21:30, Ola Lundqvist <opal@debian.org> ha escrit:
> Hi
>
> After some research I have found out the following thing from a forum
> http://lists.freebsd.org/pipermail/freebsd-questions/2005-June/090529.html
>
> "http://www.mreriksson.net/howtos/netbsd-pptp-client/
> which discusses how to set up pptpclient on NetBSD and
> there he mentioned about installing the PPPD-MPPE
> package which I did't do in my FreeBSD box since I
> failed to find the said pacakge in /usr/ports. I have
> a slight idea that I really need to have this
> installed because when I look at the properties ..."
>
> Based on this it looks like we have a dependency on a pppd-mppe
> package that I guess is not available in Debian kFreeBSD port.
> Or am I wrong here?
>
> Due to this I have decided to solve this bug by changing from
> any to linux-any instead until someone can confirm that this
> actually works.

I can't see any reference to MPPE in the port, so in principle I don't
think it's needed.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Fri, 23 Mar 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Fri, 23 Mar 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #72 received at 648361@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Robert Millan <rmh@debian.org>, 648361@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#648361: closed by Ola Lundqvist <opal@debian.org> (Bug#648361: fixed in pptp-linux 1.7.2-7)
Date: Fri, 23 Mar 2012 22:47:01 +0100
Hi Robert

You are right that the support for kFreeBSD support is no longer
included. But the release critical issue is solved.

I have no problem to keep this bug open though.

// Ola

On Tue, Mar 20, 2012 at 08:48:25PM +0100, Robert Millan wrote:
> severity 648361 wishlist
> retitle 648361 please add GNU/kFreeBSD support
> tags 648361 moreinfo
> notfixed 648361 1.7.2-7
> thanks
> 
> Well, this shouldn't really close it.  Would be nice to have it
> someday, but it's no longer a release-critical issue.
> 
> Anyway, thanks for (at least partially) dealing with it.
> 
> P.S. if someone reading this is able to test PPTP on GNU/kFreeBSD, please do
> 
> El 19 de març de 2012 22:00, Debian Bug Tracking System
> <owner@bugs.debian.org> ha escrit:
> > This is an automatic notification regarding your Bug report
> > which was filed against the pptp-linux package:
> >
> > #648361: uninstallable on kfreebsd-amd64
> >
> > It has been closed by Ola Lundqvist <opal@debian.org>.
> >
> > Their explanation is attached below along with your original report.
> > If this explanation is unsatisfactory and you have not received a
> > better one in a separate message then please contact Ola Lundqvist <opal@debian.org> by
> > replying to this email.
> >
> >
> > --
> > 648361: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648361
> > Debian Bug Tracking System
> > Contact owner@bugs.debian.org with problems
> >
> >
> > ---------- Missatge reenviat ----------
> > From: Ola Lundqvist <opal@debian.org>
> > To: 648361-close@bugs.debian.org
> > Cc:
> > Date: Mon, 19 Mar 2012 20:58:03 +0000
> > Subject: Bug#648361: fixed in pptp-linux 1.7.2-7
> > Source: pptp-linux
> > Source-Version: 1.7.2-7
> >
> > We believe that the bug you reported is fixed in the latest version of
> > pptp-linux, which is due to be installed in the Debian FTP archive:
> >
> > pptp-linux_1.7.2-7.diff.gz
> >  to main/p/pptp-linux/pptp-linux_1.7.2-7.diff.gz
> > pptp-linux_1.7.2-7.dsc
> >  to main/p/pptp-linux/pptp-linux_1.7.2-7.dsc
> > pptp-linux_1.7.2-7_i386.deb
> >  to main/p/pptp-linux/pptp-linux_1.7.2-7_i386.deb
> >
> >
> >
> > A summary of the changes between this version and the previous one is
> > attached.
> >
> > Thank you for reporting the bug, which will now be closed.  If you
> > have further comments please address them to 648361@bugs.debian.org,
> > and the maintainer will reopen the bug report if appropriate.
> >
> > Debian distribution maintenance software
> > pp.
> > Ola Lundqvist <opal@debian.org> (supplier of updated pptp-linux package)
> >
> > (This message was generated automatically at their request; if you
> > believe that there is a problem with it please contact the archive
> > administrators by mailing ftpmaster@debian.org)
> >
> >
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > Format: 1.8
> > Date: Mon, 19 Mar 2012 21:29:19 +0100
> > Source: pptp-linux
> > Binary: pptp-linux
> > Architecture: source i386
> > Version: 1.7.2-7
> > Distribution: unstable
> > Urgency: low
> > Maintainer: Ola Lundqvist <opal@debian.org>
> > Changed-By: Ola Lundqvist <opal@debian.org>
> > Description:
> >  pptp-linux - Point-to-Point Tunneling Protocol (PPTP) Client
> > Closes: 648361
> > Changes:
> >  pptp-linux (1.7.2-7) unstable; urgency=low
> >  .
> >   * Making this package linux specific as it is not known whether it
> >     works on BSD port and currently it is uninstallable on kFreeBSD
> >     port. Closes: #648361.
> > Checksums-Sha1:
> >  0624caf8938831c67f7e8d86ccaccdcf04bac164 969 pptp-linux_1.7.2-7.dsc
> >  b38edc421a6e1eec26b5dc85b6de2a6722897ee9 7999 pptp-linux_1.7.2-7.diff.gz
> >  cfc759bb0e3855f1f4cf0941ca2a3ed7ee255449 48258 pptp-linux_1.7.2-7_i386.deb
> > Checksums-Sha256:
> >  1628a9fb0e91602da0e56b38e0c762cc20c2f479cc1e3b7a4da2a7a72721fdaa 969 pptp-linux_1.7.2-7.dsc
> >  5919adc0e4fe05e4429a0316ba34bbd99017d54be86160203eec661fe1655ce7 7999 pptp-linux_1.7.2-7.diff.gz
> >  95a23fe0dd030dd90ebc30d2a5b97ce04e8f33ed5008a092a4fcf478754b05ae 48258 pptp-linux_1.7.2-7_i386.deb
> > Files:
> >  aa0ff4e5ea61783b98bea358cf1ea6c4 969 net optional pptp-linux_1.7.2-7.dsc
> >  57a8de0909e20c0ae908d6337dfe42d5 7999 net optional pptp-linux_1.7.2-7.diff.gz
> >  0cbb19761095aa328367735237a02a78 48258 net optional pptp-linux_1.7.2-7_i386.deb
> >
> > -----BEGIN PGP SIGNATURE-----
> > Version: GnuPG v1.4.10 (GNU/Linux)
> >
> > iEYEARECAAYFAk9nl1sACgkQGKGxzw/lPdlongCfZauX/9Pp4zPejT5yhi6+DMjt
> > LfIAnRbmrsHFSt24LRvmf8btN+kQUMtv
> > =yRoe
> > -----END PGP SIGNATURE-----
> >
> >
> >
> >
> > ---------- Missatge reenviat ----------
> > From: Robert Millan <rmh@debian.org>
> > To: Debian Bug Tracking System <submit@bugs.debian.org>
> > Cc:
> > Date: Thu, 10 Nov 2011 20:20:39 +0100
> > Subject: uninstallable on kfreebsd-amd64
> > Package: pptp-linux
> > Version: 1.7.2-6
> > Severity: grave
> > Tags: patch
> > User: debian-bsd@lists.debian.org
> > Usertags: kfreebsd
> >
> > Hi,
> >
> > This package is uninstallable on kfreebsd-amd64 because of its dependency on
> > ppp.  On Debian GNU/kFreeBSD, equivalent (but not CLI-compatible) functionality
> > is provided by freebsd-ppp package.  It appears that pptp-linux includes
> > support for this alternate interface.
> >
> > Attached patch should fix the dependency problem and enable interaction with
> > freebsd-ppp in upstream source.  It is loosely based on this patch [1] from
> > the FreeBSD ports collection.
> >
> > [1] http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/pptpclient/files/patch-aa?rev=1.6
> >
> > -- System Information:
> > Debian Release: 6.0.3
> >  APT prefers stable-updates
> >  APT policy: (500, 'stable-updates'), (500, 'stable')
> > Architecture: kfreebsd-amd64 (x86_64)
> >
> > Kernel: kFreeBSD 8.1-1-amd64
> > Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
> > Shell: /bin/sh linked to /bin/dash
> >
> 
> 
> 
> -- 
> Robert Millan
> 
> 
> 

-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@inguza.com                      654 65 KARLSTAD          |
|  http://inguza.com/                  +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Fri, 23 Mar 2012 21:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Fri, 23 Mar 2012 21:51:05 GMT) Full text and rfc822 format available.

Message #77 received at 648361@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Robert Millan <rmh@debian.org>, 648361@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Fri, 23 Mar 2012 22:48:30 +0100
Hi Robert

MPPE is needed for pptp to work with encryption. PPTP without
encryption may be useful in some very specific cases but most people
would be quite confused about not having it.

So I'll choose this solution until someone can confirm that MPPE works
as well.

Thanks for your patience with me. :-)

// Ola

On Tue, Mar 20, 2012 at 08:51:47PM +0100, Robert Millan wrote:
> El 19 de març de 2012 21:30, Ola Lundqvist <opal@debian.org> ha escrit:
> > Hi
> >
> > After some research I have found out the following thing from a forum
> > http://lists.freebsd.org/pipermail/freebsd-questions/2005-June/090529.html
> >
> > "http://www.mreriksson.net/howtos/netbsd-pptp-client/
> > which discusses how to set up pptpclient on NetBSD and
> > there he mentioned about installing the PPPD-MPPE
> > package which I did't do in my FreeBSD box since I
> > failed to find the said pacakge in /usr/ports. I have
> > a slight idea that I really need to have this
> > installed because when I look at the properties ..."
> >
> > Based on this it looks like we have a dependency on a pppd-mppe
> > package that I guess is not available in Debian kFreeBSD port.
> > Or am I wrong here?
> >
> > Due to this I have decided to solve this bug by changing from
> > any to linux-any instead until someone can confirm that this
> > actually works.
> 
> I can't see any reference to MPPE in the port, so in principle I don't
> think it's needed.
> 
> -- 
> Robert Millan
> 
> 
> 

-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@inguza.com                      654 65 KARLSTAD          |
|  http://inguza.com/                  +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#648361; Package pptp-linux. (Wed, 11 Apr 2012 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. (Wed, 11 Apr 2012 05:09:03 GMT) Full text and rfc822 format available.

Message #82 received at 648361@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Robert Millan <rmh@debian.org>
Cc: 648361@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#648361: uninstallable on kfreebsd-amd64
Date: Wed, 11 Apr 2012 07:05:00 +0200
Hi Robert

Yes it could be possible to use it to create a ppp tunnel over ethernet
but it won't be encrypted which is the main purpose of the package.

// Ola

On Tue, Mar 20, 2012 at 08:51:47PM +0100, Robert Millan wrote:
> El 19 de març de 2012 21:30, Ola Lundqvist <opal@debian.org> ha escrit:
> > Hi
> >
> > After some research I have found out the following thing from a forum
> > http://lists.freebsd.org/pipermail/freebsd-questions/2005-June/090529.html
> >
> > "http://www.mreriksson.net/howtos/netbsd-pptp-client/
> > which discusses how to set up pptpclient on NetBSD and
> > there he mentioned about installing the PPPD-MPPE
> > package which I did't do in my FreeBSD box since I
> > failed to find the said pacakge in /usr/ports. I have
> > a slight idea that I really need to have this
> > installed because when I look at the properties ..."
> >
> > Based on this it looks like we have a dependency on a pppd-mppe
> > package that I guess is not available in Debian kFreeBSD port.
> > Or am I wrong here?
> >
> > Due to this I have decided to solve this bug by changing from
> > any to linux-any instead until someone can confirm that this
> > actually works.
> 
> I can't see any reference to MPPE in the port, so in principle I don't
> think it's needed.
> 
> -- 
> Robert Millan
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 May 2012 07:41:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:16:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.